Skip to content

Update operation

Request

Partially updates an existing Operation. Only provided fields will be updated.

Security
bearer
Path
siteIdnumberrequired

Site identifier

operationIdstringrequired

Operation unique identifier (UUID)

Bodyapplication/jsonrequired
animalIdstring

Reference to the animal on which the operation was performed.

Example:"123e4567-e89b-12d3-a456-426614174000"
consultIdstring

Reference to the consult associated with this operation.

Example:"123e4567-e89b-12d3-a456-426614174000"
extensionsobject

Vendor- or practice-specific extensions.

isActiveboolean

Whether this operation record is currently active.

Example:true
outcomestring

Free-text description of the outcome of the operation.

Example:"Example description"
performedAtstring

Date and time when the operation was performed.

Example:"2025-01-01T00:00:00.000Z"
specificsstring

Free-text details or notes about the operation.

Example:"Example description"
therapeuticIdstring

Reference to a therapeutic or procedure definition associated with this operation.

Example:"123e4567-e89b-12d3-a456-426614174000"
vetIdstring

Reference to the veterinarian responsible for the operation.

Example:"123e4567-e89b-12d3-a456-426614174000"
curl -i -X PATCH \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/operation/{operationId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "animalId": "123e4567-e89b-12d3-a456-426614174000",
    "consultId": "123e4567-e89b-12d3-a456-426614174000",
    "extensions": {},
    "isActive": true,
    "outcome": "Example description",
    "performedAt": "2025-01-01T00:00:00.000Z",
    "specifics": "Example description",
    "therapeuticId": "123e4567-e89b-12d3-a456-426614174000",
    "vetId": "123e4567-e89b-12d3-a456-426614174000"
  }'

Responses

Operation updated successfully

Bodyapplication/json
animalIdstringrequired

Reference to the animal on which the operation was performed.

Example:"123e4567-e89b-12d3-a456-426614174000"
consultIdstringrequired

Reference to the consult associated with this operation.

Example:"123e4567-e89b-12d3-a456-426614174000"
createdAtstring, (date-time)required

Timestamp when the operation record was created.

Example:"2025-01-01T00:00:00.000Z"
extensionsobjectrequired

Vendor- or practice-specific extensions.

isActivebooleanrequired

Whether this operation record is currently active.

Example:true
operationIdstringrequired

Canonical identifier for the operation record.

Example:"123e4567-e89b-12d3-a456-426614174000"
outcomestringrequired

Free-text description of the outcome of the operation.

Example:"Example description"
performedAtstring, (date-time)required

Date and time when the operation was performed.

Example:"2025-01-01T00:00:00.000Z"
specificsstringrequired

Free-text details or notes about the operation.

Example:"Example description"
therapeuticIdstringrequired

Reference to a therapeutic or procedure definition associated with this operation.

Example:"123e4567-e89b-12d3-a456-426614174000"
updatedAtstring, (date-time)required

Timestamp when the operation record was last updated.

Example:"2025-01-01T00:00:00.000Z"
vetIdstringrequired

Reference to the veterinarian responsible for the operation.

Example:"123e4567-e89b-12d3-a456-426614174000"
Response
{ "animalId": "123e4567-e89b-12d3-a456-426614174000", "consultId": "123e4567-e89b-12d3-a456-426614174000", "createdAt": "2025-01-01T00:00:00.000Z", "extensions": {}, "isActive": true, "operationId": "123e4567-e89b-12d3-a456-426614174000", "outcome": "Example description", "performedAt": "2025-01-01T00:00:00.000Z", "specifics": "Example description", "therapeuticId": "123e4567-e89b-12d3-a456-426614174000", "updatedAt": "2025-01-01T00:00:00.000Z", "vetId": "123e4567-e89b-12d3-a456-426614174000" }